[Cubicweb] CW installation on ubuntu oneiric

Stéphane Bugat stephane.bugat at free.fr
Sun Mar 25 16:46:01 CEST 2012


Actually I was getting the same error message with the 2.1.1 version of
mercurial and my 'brand new' oneiric (sometimes rusty things work finer
than recent ones). But with the sources of the 1.8.4 everything worked
perfectly and I'm now able to have my cw environment!

Thanks for help

Stéphane

Le 25/03/2012 16:20, aurélien campéas a écrit :
>
>
> 2012/3/25 Stéphane Bugat <stephane.bugat at free.fr
> <mailto:stephane.bugat at free.fr>>
>
>
>     I'm really running out of luck... The hg clone worked well but
>     when trying to get all dependencies I also get the following error:
>
>         $ python cubicweb/bin/clone_deps.py
>         28 repositories will be cloned
>         Traceback (most recent call last):
>           File "cubicweb/bin/clone_deps.py", line 112, in <module>
>             main()
>           File "cubicweb/bin/clone_deps.py", line 86, in main
>             hg_call(['clone', '-U', url, target_path])
>           File
>         "/usr/lib/python2.7/dist-packages/mercurial/dispatch.py", line
>         31, in dispatch
>             if req.ferr:
>         AttributeError: 'list' object has no attribute 'ferr'
>
>     Googling a bit I found that this could correspond to a difference
>     between mercurial 1.9.1 (on oneiric) and previous versions of
>     mercurial (see
>     http://stackoverflow.com/questions/6730735/troubles-with-mercurial-1-9-and-ssh).
>     However the workaround provided in latter topic does not work here.
>
>
> Bad luck indeed ...
>  
>
>
>
>     If you have any idea to overcome this difficulty... I really want
>     to avoid installing a debian chrooted environment just to install
>     cw. After all, this is almost pure python.
>
>
> almost :)
>
> I just tried the following (on my rusty Lucid):
>
> * download the latest mercurial sources (from the blue button showing
> up there http://mercurial.selenic.com/) 
> * apt-get install gcc python-dev  (I had gcc already installed, but
> whatever)
> * untar the hg tarball
> * cd mercurial-2.1.1
> * python setup.py install --prefix=~
> * hg --version
>
> should exhibit 2.1.1 if you have ~/bin in your PATH
>
> then clone_deps.py just worked (again)
>
> hth,
> Aurélien
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.cubicweb.org/pipermail/cubicweb/attachments/20120325/782ee867/attachment-0186.html>


More information about the Cubicweb mailing list